CREATE TABLE fai_sam_sequence_object (
    SEQUENCE_OBJECT_ID       NUMBER(18, 0),
    RAW_PROCESSOUT_ID        NUMBER(18, 0),
    SEQUENCE_ID              NUMBER       ,
    ONE_VIEW_PROCESS_ID      NUMBER       ,
    PARENT_SEQUENCE_ID       NUMBER       ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    POD                      VARCHAR2(96) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    SEQUENCE_OBJECT_ID       NUMBER(18, 0),
    SEQUENCE_ID              NUMBER       ,
    ONE_VIEW_PROCESS_ID      NUMBER       ,
    PARENT_SEQUENCE_ID       NUMBER       ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    POD                      VARCHAR2(96) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    RAW_PROCESSOUT_ID        NUMBER(18, 0),
    CONSTRAINT pk_fai_sam_sequence_object PRIMARY KEY (SEQUENCE_OBJECT_ID, SEQUENCE_OBJECT_ID)
);
